import { QuizQuestionDate } from "@model/questionTypes/date";
import HelpQuestions from "../helpQuestions";
import SettingData from "./settingData";


interface Props {
  switchState: string;
  question: QuizQuestionDate;
}

export default function SwitchData({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <SettingData question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    default:
      return <></>;
  }
}
